ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Seq

Contents

- Utilities for forcing Core structures

Description

Various utilities for forcing Core structures

It can often be useful to force various parts of the AST. This module provides a number of `seq`-like functions to accomplish this.

Synopsis

- seqExpr :: CoreExpr -> ()
- seqExprs :: [CoreExpr] -> ()
- seqUnfolding :: Unfolding -> ()
- seqRules :: [CoreRule] -> ()
- megaSeqIdInfo :: IdInfo -> ()
- seqRuleInfo :: RuleInfo -> ()
- seqBinds :: [Bind CoreBndr] -> ()

# Utilities for forcing Core structures

seqExpr :: CoreExpr -> () Source #

seqExprs :: [CoreExpr] -> () Source #

seqUnfolding :: Unfolding -> () Source #

seqRules :: [CoreRule] -> () Source #

megaSeqIdInfo :: IdInfo -> () Source #

Evaluate all the fields of the `IdInfo` that are generally demanded by the compiler

seqRuleInfo :: RuleInfo -> () Source #

seqBinds :: [Bind CoreBndr] -> () Source #